Bug 1479050 - Split brain when configuring keepalived
Split brain when configuring keepalived
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: keepalived (Show other bugs)
7.3
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Ryan O'Hara
Brandon Perkins
:
Depends On:
Blocks: 1447969
  Show dependency treegraph
 
Reported: 2017-08-07 16:25 EDT by Brett Thurber
Modified: 2017-10-24 10:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-24 10:55:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brett Thurber 2017-08-07 16:25:02 EDT
Description of problem:
When configuring keepalived per the following:  https://access.redhat.com/articles/2967461

...the VIP exists on both nodes.  There appears to be communication error between the master and backup.

Version-Release number of selected component (if applicable):
7.3

How reproducible:
Everytime

Steps to Reproduce:
1.  Follow the steps in the linked KB
2.
3.

Actual results:
VIP exists on both the master and backup keepalived nodes

Expected results:
VIP only exists on the master

Additional info:
Reference BZ for reproduction:  https://bugzilla.redhat.com/show_bug.cgi?id=1447969
Comment 2 Ryan O'Hara 2017-08-08 09:27:38 EDT
I checked the other BZ and I am not seeing details about how to reproduce this in a standalone keepalived environment. If the VIP exists on both nodes, that usually suggests that VRRP traffic is not getting through (ie. firewall is blocking). Please provide details of how to reproduce as well as logs from keepalived and all configuration files (from both nodes). You can also tcpdump to see the VRRP traffic, but keep in mind that tcpdump will see it before iptables.
Comment 10 Ryan O'Hara 2017-10-24 10:55:11 EDT
The problem here is that keepalived on ha1 has a VRID of 151 and ha2 has a VRID of 152, so the two node are not participating on the same virtual router. You want the virtual_router_id to be the same on each node.

Note You need to log in before you can comment on or make changes to this bug.